<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Request Fund</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4">
<!--    <div th:include="sidebar::sidebar" th:remove="tag"> sidebar </div>-->

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Request Fund
                </div>
            </div>
        </div>
    </main>
    <div class="row">
        <div class="col-md-9">
            <div class="alert alert-danger" role="alert" th:if="${gagal != null}">
                Pengajuan Ditolak!
                <p>Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa detail anggaran yang anda pilih</p>
            </div>

            <div class="alert alert-danger" role="alert" th:if="${gagalpagubudget != null}">
                <h4>Pengajuan Ditolak!</h4>

                <p>Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa PAGU anggaran..</p>
            </div>

            <div class="alert alert-danger" role="alert" th:if="${gagalBlocking != null}">
                <h4>Pengajuan Ditolak!</h4>

                <p th:text="${gagalBlocking}">Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa PAGU anggaran..</p>
            </div>
            
            <div class="alert alert-danger" role="alert" th:if="${gagalAnggaran != null}">
                <h4>Pengajuan Ditolak!</h4>

                <p>Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa Anggara pada departemen anda</p>
            </div>

            <div class="alert alert-danger" role="alert" th:if="${gagalkaryawan != null}">
                <h4>Save Data Gagal!</h4>

                <p>kolom request For belum diisi..</p>
            </div>

            <form class="form-horizontal" th:action="@{/transaksi/pengajuandana/save}" th:object="${pengajuanDana}" method="post" enctype="multipart/form-data">
                <div class="card">
                    <div class="card-body">

                        <div class="mb-3">
                            <label for="anggaran" class="form-label">Budget</label>
                            <select class="form-select" id="anggaran" name="anggaran" th:field="*{anggaran}" data-placeholder="Pilih Anggaran" onchange="dAnggaran()">
                                <option value="">Pilih Anggaran</option>
                                <option th:each="data : ${listAnggaran}"
                                        th:text="${'('+ data[1] +')'  + '       -       ' +  data[2]}"
                                        th:value="${data[0]}">sdasd</option>
                            </select>
                            <input type="hidden" id="isiAnggaran" name="isiAnggaran" th:field="*{anggaran}">
                        </div>

                        <div class="mb-3">
                            <label for="detailAnggaran" class="form-label">Detail Budget</label>
                            <select class="form-select" id="detailAnggaran" name="anggaranDetail" th:field="*{anggaranDetail}" data-placeholder="Choose one thing" onchange="hitung()">
                            </select>
                            <input type="hidden" id="isiDetailAnggaran" name="isiDetailAnggaran" th:field="*{anggaranDetail}">
                        </div>

                        <div class="mb-3">
                            <label for="requestFor" class="form-label">Request For</label>
                            <select class="form-select" id="requestFor" name="requestFor" th:field="*{requestFor}" data-placeholder="Choose one thing" required>
                                <option value="">Pilih Karyawan</option>
                                <option th:each="data : ${listKaryawan}"
                                        th:text="${data.namaKaryawan}"
                                        th:value="${data.id}">sdasd</option>
                            </select>
<!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                        </div>

                        <div class="mb-3">
                            <label for="deskripsiBiaya" class="form-label">Description</label>
                            <textarea class="form-control" id="deskripsiBiaya" name="deskripsiBiaya" th:field="*{deskripsiBiaya}" rows="3"></textarea>
                            <p th:if="${#fields.hasErrors('deskripsiBiaya')}" th:errors="*{deskripsiBiaya}" class="text-danger"> Mata Anggaran Error</p>
                        </div>

                        <div class="mb-3">
                            <label for="kuantitas" class="form-label">Qty</label>
                            <input type="text" class="form-control" id="kuantitas" th:field="*{kuantitas}" name="kuantitas" placeholder="Qty">
                            <p th:if="${#fields.hasErrors('kuantitas')}" th:errors="*{kuantitas}" class="text-danger"> Mata Anggaran Error</p>
                        </div>

                        <div class="mb-3">
                            <label for="inputSatuan" class="form-label">Unit</label>
                            <input type="text" class="form-control" id="inputSatuan" th:field="*{satuan}" name="satuan" placeholder="unit" readonly>
                            <p th:if="${#fields.hasErrors('satuan')}" th:errors="*{satuan}" class="text-danger"> Mata Anggaran Error</p>
                        </div>

<!--                        <div class="form-group">-->
<!--                            <label for="inputAmount" class="col-sm-2 control-label">Unit Price</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{amount}" name="amount" id="inputAmount" placeholder="0.00">-->
<!--                                <p th:if="${#fields.hasErrors('amount')}" th:errors="*{amount}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

                        <div class="mb-3">
                            <label for="inputAmount" class="form-label">Unit Price</label>
                            <input type="text" class="form-control" id="inputAmount" th:field="*{amount}" name="amount" placeholder="0" >
                            <p th:if="${#fields.hasErrors('amount')}" th:errors="*{amount}" class="text-danger"> Mata Anggaran Error</p>
                        </div>

                        <div class="mb-3">
                            <label for="lampiran" class="form-label">File Upload</label>
                            <input class="form-control" type="file" name="lampiran" id="lampiran" accept="image/jpeg,mage/jpg,image/png,application/pdf" required>
                            <p class="help-block">Upload file bila perlu.</p>
                        </div>



                        <input type="hidden" name="id" th:field="*{id}">
                    </div>
                    <div class="card-body">
                        <a th:href="@{/transaksi/pengajuandana}" class="btn btn-default" style="--bs-btn-bg: #e8ecf1">Cancel</a>
                        <button type="submit" class="btn btn-primary pull-right se" style="--bs-btn-bg: #15408d" id="simpan" onclick="disableSimpan()">Save</button>
                    </div>
                </div>

            </form>
        </div>
    </div>
</main>

<section layout:fragment="footer" class="script">
<script>
    $(".js-example-placeholder-single").select2({
        placeholder: "Pilih Salah Satu",
        allowClear: true
    });


    (function($){
        $('#anggaran').select2();

        $('#anggaran').on('select2:selecting', function(e) {
            console.log('Selecting: ' , e.params.args.data.id);
            $('#isiAnggaran').val(e.params.args.data.id);
        });
    })(jQuery);

    function dAnggaran() {
        let dropdown = $('#detailAnggaran');

        dropdown.empty();

        dropdown.append('<option selected="true" disabled>Pilih Detail Anggaran</option>');
        dropdown.prop('selectedIndex', 0);
        console.log($('#isiAnggaran').val())
        const url = '/api/detail/anggarandto?idAnggaran='+$('#isiAnggaran').val();

        // Populate dropdown with list of provinces
        $.getJSON(url, function (data) {
            $.each(data, function (key, entry) {
                dropdown.append($('<option></option>').attr('value', entry.id).text(entry.programKerja +' - '+ entry.deskripsi + ' - sisa : ' + entry.sisa));
            })
        });
    }


    function hitung() {
        var x = document.getElementById("detailAnggaran").value;
        $('#isiDetailAnggaran').val(x)
        console.log(x);
        const url = '/api/anggaran/hitung?id='+x;
        $.getJSON(url, function (data) {

            $('#inputAmount').val(data.amount);
            $('#inputSatuan').val(data.satuan);

        });

    }


    $('.simpan').click(function () {
        Swal.fire({
            position: 'top-end',
            type: 'success',
            title: 'Your work has been saved',
            showConfirmButton: false
        })
    });
</script>
    <script>
        $( '#anggaran' ).select2( {
            theme: "bootstrap-5",
            width: $( this ).data( 'width' ) ? $( this ).data( 'width' ) : $( this ).hasClass( 'w-100' ) ? '100%' : 'style',
            placeholder: $( this ).data( 'placeholder' ),
        } );
        $( '#detailAnggaran' ).select2( {
            theme: "bootstrap-5",
            width: $( this ).data( 'width' ) ? $( this ).data( 'width' ) : $( this ).hasClass( 'w-100' ) ? '100%' : 'style',
            placeholder: $( this ).data( 'placeholder' ),
        } );
        $( '#requestFor' ).select2( {
            theme: "bootstrap-5",
            width: $( this ).data( 'width' ) ? $( this ).data( 'width' ) : $( this ).hasClass( 'w-100' ) ? '100%' : 'style',
            placeholder: $( this ).data( 'placeholder' ),
        } );
    </script>
    <script>
        function disableSimpan(){
            document.getElementById("simpan").hidden;
        }
    </script>
    <script>
        var fileInput = document.getElementById('lampiran');
        fileInput.addEventListener('change', function(event) {
            var file = event.target.files[0];
            var allowedExtensions = /(\.jpeg|\.jpg|\.png|\.pdf)$/i; // Ekstensi yang diizinkan
            var maxSizeInBytes = 2 * 1024 * 1024; // Ukuran maksimum file dalam bytes (2MB)

            if (!allowedExtensions.exec(file.name)) {
                alert('File yang diunggah harus dalam format JPEG, JPG, PNG, atau PDF.');
                fileInput.value = ''; // Menghapus file yang diunggah
                return false;
            }

            if (file.size > maxSizeInBytes) {
                alert('Ukuran file tidak boleh melebihi 2MB.');
                fileInput.value = ''; // Menghapus file yang diunggah
                return false;
            }
        });
    </script>
</section>

<!--</body>-->
<!--</html>-->

<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Request Fund</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Request Fund-->
<!--        <small>List Data</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Transaction</li>-->
<!--        <li class="active"> Request Fund</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->
<!--    <div class="row">-->

<!--        <div class="col-md-6">-->


<!--            <div class="callout callout-danger" th:if="${gagal != null}">-->
<!--                <h4>Save Data Gagal!</h4>-->

<!--                <p>Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa detail anggaran yang anda pilih</p>-->
<!--            </div>-->

<!--            <div class="callout callout-danger" th:if="${gagalpagubudget != null}">-->
<!--                <h4>Save Data Gagal!</h4>-->

<!--                <p>Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa PAGU anggaran..</p>-->
<!--            </div>-->

<!--            <div class="callout callout-danger" th:if="${gagalAnggaran != null}">-->
<!--                <h4>Save Data Gagal!</h4>-->

<!--                <p>Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa Anggara pada departemen anda</p>-->
<!--            </div>-->

<!--            <div class="callout callout-danger" th:if="${gagalkaryawan != null}">-->
<!--                <h4>Save Data Gagal!</h4>-->

<!--                <p>kolom request For belum diisi..</p>-->
<!--            </div>-->
<!--            &lt;!&ndash; Horizontal Form &ndash;&gt;-->
<!--            <div class="box box-info">-->
<!--                <div class="box-header with-border">-->
<!--                    <h3 class="box-title">Form Request Fund</h3>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                &lt;!&ndash; form start &ndash;&gt;-->
<!--                <form class="form-horizontal" th:action="@{/transaksi/pengajuandana/save}" th:object="${pengajuanDana}" method="post" enctype="multipart/form-data">-->
<!--                    <div class="box-body">-->

<!--                        <div class="form-group">-->
<!--                            <label for="anggaran" class="col-sm-2 control-label">Budget</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <select class="form-control select2" name="anggaran" th:field="*{anggaran}" id="anggaran" style="width: 100%;" onchange="dAnggaran()">-->
<!--                                    <option value="">Pilih Anggaran</option>-->
<!--                                    <option th:each="data : ${listAnggaran}"-->
<!--                                            th:text="${'('+ data[1] +')'  + '       -       ' +  data[2]}"-->
<!--                                            th:value="${data[0]}">sdasd</option>-->
<!--                                </select>-->
<!--                                <input type="hidden" id="isiAnggaran" name="isiAnggaran" th:field="*{anggaran}">-->
<!--                            </div>-->
<!--                        </div>-->


<!--                        <div class="form-group">-->
<!--                            <label for="detailAnggaran" class="col-sm-2 control-label">Detail_Budget</label>-->
<!--                            <div class="col-sm-10">-->
<!--                                <select id="detailAnggaran" name="anggaranDetail" th:field="*{anggaranDetail}"  class="form-control select2" onchange="hitung()">-->
<!--                                </select>-->
<!--                                <input type="hidden" id="isiDetailAnggaran" name="anggaranDetail" th:field="*{anggaranDetail}">-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="requestFor" class="col-sm-2 control-label">Request For</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <select class="form-control select2" name="requestFor" th:field="*{requestFor}" id="requestFor" style="width: 100%;" required>-->

<!--                                    <option value="">Pilih Karyawan</option>-->
<!--                                    <option th:each="data : ${listKaryawan}"-->
<!--                                            th:text="${data.namaKaryawan}"-->
<!--                                            th:value="${data.id}">sdasd</option>-->
<!--                                </select>-->
<!--                                <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
<!--                            </div>-->
<!--                        </div>-->


<!--                        <div class="form-group">-->
<!--                            <label for="deskripsiBiaya" class="col-sm-2 control-label">Description</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{deskripsiBiaya}" name="deskripsiBiaya" id="deskripsiBiaya" placeholder="Deskripsi Biaya">-->
<!--                                <p th:if="${#fields.hasErrors('deskripsiBiaya')}" th:errors="*{deskripsiBiaya}" class="text-danger"> deskripsiBiaya Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="kuantitas" class="col-sm-2 control-label">Qty</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{kuantitas}" name="kuantitas" id="kuantitas" placeholder="0.00">-->
<!--                                <p th:if="${#fields.hasErrors('kuantitas')}" th:errors="*{kuantitas}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->


<!--                        <div class="form-group">-->
<!--                            <label for="inputSatuan" class="col-sm-2 control-label">Unit</label>-->
<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{satuan}" name="satuan" id="inputSatuan" placeholder="0.00" readonly>-->
<!--                                <p th:if="${#fields.hasErrors('satuan')}" th:errors="*{satuan}" class="text-danger"> Satuan Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="inputAmount" class="col-sm-2 control-label">Unit Price</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{amount}" name="amount" id="inputAmount" placeholder="0.00">-->
<!--                                <p th:if="${#fields.hasErrors('amount')}" th:errors="*{amount}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="lampiran" class="col-sm-2 control-label">File_Upload</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="file" name="lampiran" id="lampiran" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps" required>-->

<!--                                <p class="help-block">Upload file bila perlu.</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <input type="hidden" name="id" th:field="*{id}">-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                    <div class="box-footer">-->

<!--                        <a th:href="@{/transaksi/pengajuandana}" class="btn btn-default">Cancel</a>-->
<!--                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-footer &ndash;&gt;-->
<!--                </form>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('yyyy-mm-dd', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#tanggalPenerimaan').datepicker({-->
<!--                autoclose: true, locale: { format: 'YYYY-MM-DD' }-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        (function($){-->
<!--            $('#anggaran').select2();-->

<!--            $('#anggaran').on('select2:selecting', function(e) {-->
<!--                console.log('Selecting: ' , e.params.args.data.id);-->
<!--                $('#isiAnggaran').val(e.params.args.data.id);-->
<!--            });-->
<!--        })(jQuery);-->

<!--        function dAnggaran() {-->
<!--            let dropdown = $('#detailAnggaran');-->

<!--            dropdown.empty();-->

<!--            dropdown.append('<option selected="true" disabled>Pilih Detail Anggaran</option>');-->
<!--            dropdown.prop('selectedIndex', 0);-->
<!--            console.log($('#isiAnggaran').val())-->
<!--            const url = '/api/detail/anggarandto?idAnggaran='+$('#isiAnggaran').val();-->

<!--            // Populate dropdown with list of provinces-->
<!--            $.getJSON(url, function (data) {-->
<!--                $.each(data, function (key, entry) {-->
<!--                    dropdown.append($('<option></option>').attr('value', entry.id).text(entry.programKerja +' - '+ entry.deskripsi + ' - sisa : ' + entry.sisa));-->
<!--                })-->
<!--            });-->
<!--        }-->


<!--        function hitung() {-->
<!--            var x = document.getElementById("detailAnggaran").value;-->
<!--            $('#isiDetailAnggaran').val(x)-->
<!--            console.log(x);-->
<!--            const url = '/api/anggaran/hitung?id='+x;-->
<!--            $.getJSON(url, function (data) {-->

<!--                $('#inputAmount').val(data.amount);-->
<!--                $('#inputSatuan').val(data.satuan);-->

<!--            });-->

<!--        }-->


<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->